'use strict';

const minV = 0,
	maxV = 60;
const minI = 0,
	maxI = 1;
const minRH = 0,
	maxRH = 100;
const minT = -40,
	maxT = 70;

class LedInterface {
	check_connection() {
		// console.log("Checking sensor...OK");
	}

	set_fade(fade) {
		console.log("Set fade to: ", fade);
	}

	set_luminance(luminance) {
		if (luminance < 0 || luminance > 255) throw "invalid luminance";
		// console.log("Set luminance to: ", luminance);
	}

	get_luminance() {
		return 255 * Math.random();
	}

	get_u(string_id) {
		if (string_id < 1 || string_id > 4) throw "invalid string_id";
		return (maxV - minV) * Math.random() + minV;
	}

	get_i(string_id) {
		if (string_id < 1 || string_id > 4) throw "invalid string_id";
		return (maxI - minI) * Math.random() + minI;
	}

};

class TH02 {
	check_sensor() {
		// console.log("Checking sensor...OK");
	}

	heater_on() {
		// console.log("Turn heater ON");
	}

	heater_off() {
		// console.log("Turn heater OFF");
	}

	get_rh(timeout_ms) {
		return (maxRH - minRH) * Math.random() + minRH;
	}

	get_temp(timeout_ms) {
		return (maxT - minT) * Math.random() + minT;
	}
};

module.exports = {
	LedInterface: LedInterface,
	TH02: TH02
};