#ifndef SMARTSSL_WRAPPER_LED_INTERFACE_H
#define SMARTSSL_WRAPPER_LED_INTERFACE_H

#include <node.h>
#include <node_object_wrap.h>
#include "led_interface.hpp"

namespace node_wrappers {

class LedInterface : public node::ObjectWrap {
public:
    static void Init(v8::Local<v8::Object> exports);

private:
    led_interface::led_interface li;

    static void New(const v8::FunctionCallbackInfo<v8::Value>& args);

    static void check_connection(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void set_luminance(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void get_luminance(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void set_fade(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void get_u(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void get_i(const v8::FunctionCallbackInfo<v8::Value>& args);

    static v8::Persistent<v8::Function> constructor;
};

}

#endif
