#ifndef SMARTSSL_WRAPPER_TH02_H
#define SMARTSSL_WRAPPER_TH02_H

#include <node.h>
#include <node_object_wrap.h>
#include "th02.hpp"

namespace node_wrappers {

class TH02 : public node::ObjectWrap {
public:
    static void Init(v8::Local<v8::Object> exports);

private:
    th02::th02 th02obj;

    static void New(const v8::FunctionCallbackInfo<v8::Value>& args);

    static void check_sensor(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void heater_on(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void heater_off(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void get_rh(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void get_temp(const v8::FunctionCallbackInfo<v8::Value>& args);

    static v8::Persistent<v8::Function> constructor;
};

}

#endif
