#ifndef SMARTSSL_WRAPPER_YITRAN_NC_H
#define SMARTSSL_WRAPPER_YITRAN_NC_H

#include <node.h>
#include <node_object_wrap.h>
#include "yitran_nc.hpp"

namespace node_wrappers {

class YitranNc : public node::ObjectWrap {
public:
    static void Init(v8::Local<v8::Object> exports);
    YitranNc(bool use_console_port) : nc(use_console_port) {}

private:
    yitran_host::yitran_nc nc;

    static void New(const v8::FunctionCallbackInfo<v8::Value>& args);
    
    static void reset_and_go_online(const v8::FunctionCallbackInfo<v8::Value>& args);
    // From yitran_host
    static void wait_for_runtime_indication(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void non_acknowledged_packet_tx(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void decode_rx_intranetworking_packet_indication(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void acknowledged_packet_tx(const v8::FunctionCallbackInfo<v8::Value>& args);
    
    static void GetRecentlyReceivedPacket(v8::Local< v8::String > property, const v8::PropertyCallbackInfo< v8::Value > &info);
    static void SetRecentlyReceivedPacket(v8::Local< v8::String > property, v8::Local< v8::Value > value, const v8::PropertyCallbackInfo< void > &info);
    
    static void send_data_exchange_request(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void decode_data_exchange_reply(const v8::FunctionCallbackInfo<v8::Value>& args);

    static v8::Persistent<v8::Function> constructor;
};

}

#endif
