#ifndef SMARTSSL_WRAPPER_YITRAN_RS_H
#define SMARTSSL_WRAPPER_YITRAN_RS_H

#include <node.h>
#include <node_object_wrap.h>
#include "yitran_rs.hpp"

namespace node_wrappers {

class YitranRs : public node::ObjectWrap {
public:
    static void Init(v8::Local<v8::Object> exports);
    YitranRs(bool use_console_port) : rs(use_console_port) {}

private:
    yitran_host::yitran_rs rs;

    static void New(const v8::FunctionCallbackInfo<v8::Value>& args);
    
    static void reset_and_go_online(const v8::FunctionCallbackInfo<v8::Value>& args);
    // From yitran_host
    static void wait_for_runtime_indication(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void non_acknowledged_packet_tx(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void decode_rx_intranetworking_packet_indication(const v8::FunctionCallbackInfo<v8::Value>& args);
    static void acknowledged_packet_tx(const v8::FunctionCallbackInfo<v8::Value>& args);

    static v8::Persistent<v8::Function> constructor;
};

}

#endif
