#include <iostream>
#include <unistd.h>
#include <time.h>
#include <vector>
#include <string>
#include "mraa.hpp"
#include "th02.hpp"
//-------------------------------------------------------------------------------------------------
int led_interface_test ();
int yitran_host_test ();
int yitran_nc_app();
int yitran_rs_app();
int full_test_nc();
int full_test_rs();
int th02_test();
int tamas_demo_lampa_1();
int tamas_demo_lampa_2();
int disconnect_test_nc();
int disconnect_test_rs();
//int application_nc();
//int application_rs(const short pylon_id, const char measurement_required_flag);
int temp_feedback();
int application_simplified_nc (std::vector<unsigned> const & pylon_ids);
int application_simplified_rs (const unsigned pylon_id);
//-------------------------------------------------------------------------------------------------
int main (int argc, char *argv[]) {
	//th02_test();
	//led_interface_test ();
	//yitran_host_test ();
	//yitran_nc_app();
	//yitran_rs_app();
	//full_test_nc();
	//full_test_rs();
	//tamas_demo_lampa_1();
	//tamas_demo_lampa_2();
	//disconnect_test_nc();
	//disconnect_test_rs();

	//application_nc();
	//application_rs(0x7689, 0x00);
	//application_rs(0x1245, 0x01);

	// temp_feedback();

	using namespace std;

	auto print_usage = [=](){
		cout << "Usage: " << argv[0] << " <options>" << endl;
		cout << "options:" << endl;
		cout << "-nc <expexted RS id 1> <expexted RS id 2> <expexted RS id n>" << endl;
		cout << "-rs <RS id>" << endl;
	};

	if (argc < 3) {
		print_usage();
		return 1;
	}

	if (string(argv[1]) == "-nc") {
		vector<unsigned> pylon_ids;
		for (int i = 2; i < argc; i++)
			pylon_ids.push_back( stoul( argv[i] ) );
			
		application_simplified_nc(pylon_ids);
	}
	else if (string(argv[1]) == "-rs") {
		application_simplified_rs( stoul(argv[2]) ) ;
	} else print_usage();

	return 0;


}
//-------------------------------------------------------------------------------------------------
