#include "yitran_nc.hpp"
#include "yitran_node_descriptor.hpp"
#include "yitran_packet.hpp"
#include <iostream>
#include <exception>
//-------------------------------------------------------------------------------------------------
int yitran_nc_app() {

	try {

		yitran_host::yitran_nc nc(false);
		if ( !nc.initialize_and_establish_a_network(2, 5) ) {
			printf("FAIL: Network creation failed -> TERMINATE\n");
			return 0;
		}

		printf("Connected RSs:\n");
		for ( unsigned i = 0; i < nc.number_of_connected_rss; ++i ) {
			printf("%d: %d\n", i, nc.rs_address_table[i]);
		}

		nc.send_data_traffic_enabled_indication();

		//...

		return 0;


	} catch (std::exception& e) {
		std::cout << e.what() << std::endl;
		return 0;
	}

	return 0;
}
//-------------------------------------------------------------------------------------------------
